#
# Makefile.PL for JoeDog::ProgressBar distribution
#
# Filename:     Makefile.PL
# Author:       Jeff Fulmer
# Created:      01 March 2005
#

use ExtUtils::MakeMaker;


&WriteMakefile(
  ABSTRACT      => 'ProgressBar/1.1 module',
  VERSION_FROM  => 'ProgressBar.pm',
  dist          => {
    'COMPRESS' => 'gzip -9f',     'SUFFIX'   => 'gz',
    'ZIP'      => '/usr/bin/zip', 'ZIPFLAGS' => '-rl'
  },
  AUTHOR        => 'Jeff Fulmer <jeff@joedog.org>',
  NAME          => 'JoeDog::ProgressBar'
);
