# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..4\n"; }
END {print "not ok 1\n" unless $loaded;}
{
  use JoeDog::ProgressBar;
  $loaded = 1;
  print "ok 1\n";
}

{
  use JoeDog::ProgressBar;
  $bar = new JoeDog::ProgressBar(200000);
  $loaded = 1;
  print "ok 2\n";
}

{
  use JoeDog::Config;
  $max  = 200000;
  $bar = new JoeDog::ProgressBar($max);
  for(0..$max){
    $bar->refresh($_); 
  }
  $loaded = 1;
  print "\n";
  print "ok 3\n";
}

{
  use JoeDog::Config;
  $max  = 200000;

  $bar = new JoeDog::ProgressBar($max);
  $bar->set(
  {
    fg   => '=', 
    bg   => '#',
    ptr  => '-',
  }) or die "unable to set attributes";
  for(0..$max){
    $bar->refresh($_);
  }
  $loaded = 1;
  print "\n";
  print "ok 4\n";
}

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

